var continuous : boolean = true;
var damage : int = 1;
function Update () {
}

function OnTriggerEnter(col : Collider){
	if(col.gameObject.CompareTag("Player") && !continuous){
		col.gameObject.GetComponent("MouseStats").TakeDamage(damage);
	}
}

function OnTriggerStay(col : Collider){
	if(col.gameObject.CompareTag("Player") && continuous){
		col.gameObject.GetComponent("MouseStats").TakeDamage(damage * Time.deltaTime);
	}
}